## python-django-braces 1.2.2

=== requirements.txt ===
mock
pytest-django
pytest-cov

=== debian/changelog ===
python-django-braces (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #725624)

 -- Jan Dittberner <jandd@debian.org>  Sat, 12 Oct 2013 18:31:03 +0200

=== debian/control ===
Source: python-django-braces
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 9), python
Build-Depends-Indep: python-django, python-setuptools, python-sphinx | python3-sphinx
Standards-Version: 3.9.4
Homepage: https://github.com/brack3t/django-braces
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-braces/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-braces/trunk/

Package: python-django-braces
Architecture: all
Depends: python-django, ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
Description: set of reusable, generic mixins for Django class based views
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.

## python-django-braces 1.3.1

=== requirements.txt ===
factory_boy
mock
pytest-django
pytest-cov
six

=== debian/changelog ===
python-django-braces (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * bump Standards-Version to 3.9.5 (no changes)
  * use wrap-and-sort

 -- Jan Dittberner <jandd@debian.org>  Sat, 01 Feb 2014 22:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 9), python
-Build-Depends-Indep: python-django, python-setuptools, python-sphinx | python3-sphinx
-Standards-Version: 3.9.4
+Build-Depends-Indep: python-django,
+                     python-setuptools,
+                     python-sphinx | python3-sphinx
+Standards-Version: 3.9.5
 Homepage: https://github.com/brack3t/django-braces
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-braces/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-braces/trunk/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-django-braces-$1.tar.gz/ \
https://github.com/brack3t/django-braces/releases /brack3t/django-braces/archive/v([\d.]+)\.tar\.gz

## python-django-braces 1.4.0

=== requirements.txt ===
factory_boy
mock
pytest-django
pytest-cov
six
coverage

=== debian/changelog ===
python-django-braces (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - add dh-python and python-releases | python3-releases to
      Build-Depends-Indep
  * debian/rules:
    - install new upstream changelog
    - switch to pybuild
    - fix typo s/override_dh_auth_clean/override_dh_auto_clean/
  * tested with Django 1.7 (Closes: #755636)

 -- Jan Dittberner <jandd@debian.org>  Sat, 27 Sep 2014 18:58:56 +0200

=== debian/control ===
Source: python-django-braces
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 9), python
Build-Depends-Indep: dh-python,
                     python-django,
                     python-releases | python3-releases,
                     python-setuptools,
                     python-sphinx | python3-sphinx
Standards-Version: 3.9.5
Homepage: https://github.com/brack3t/django-braces
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-braces/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-braces/trunk/
X-Python-Version: >= 2.7

Package: python-django-braces
Architecture: all
Depends: python-django,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: set of reusable, generic mixins for Django class based views
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=django-braces

override_dh_auto_clean:
	rm -rf docs/_build
	dh_auto_clean

override_dh_auto_build:
	cd docs && $(MAKE) html
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs -k debian/python-django-braces/usr/share/doc/python-django-braces/html/_sources/changelog.txt

%:
	dh $@ --with=python2,sphinxdoc --buildsystem=pybuild

## python-django-braces 1.8.0

=== debian/changelog ===
python-django-braces (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Python3 support through a separate package (Closes: #763076).
  * Move documentation to a separate package.
  * Bump Standards-Version to 3.9.6.
  * Add alabaster-path.patch to detect theme path for sphinx.
  * Update years in d/copyright.
  * Rename BSD-3-clause to BSD-3-clause-Brack3t in d/copyright.
  * Format d/copyright to fully conform to DEP5.
  * Directly call sphinx-build in d/rules instead of using the upstream
    Makefile.
  * Add override in d/rules to disable compression of changelog.html.
  * Add python-all and python3-all to Build-Depends, replacing python.
  * Add python-alabaster, python3-setuptools and python3-django to Build-
    Depends-Indep.
  * Add python-django-braces-doc to Suggests for both python-django-
    braces and python3-django-braces.
  * Install upstream changelog directly from source.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jun 2015 22:38:22 +0200

=== debian/control ===
Source: python-django-braces
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 9),
               python-all,
               python3-all
Build-Depends-Indep: dh-python,
                     python-django,
                     python-alabaster,
                     python-releases,
                     python-setuptools,
                     python-sphinx,
                     python3-setuptools,
                     python3-django
Standards-Version: 3.9.6
Homepage: https://github.com/brack3t/django-braces
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-braces/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-braces/trunk/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-django-braces
Architecture: all
Depends: python-django,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-braces-doc
Description: set of reusable, generic mixins for Django class based views
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.

Package: python3-django-braces
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-braces-doc
Description: set of reusable, generic mixins for Django class based views (Python3 version)
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.
 .
 This package contains the Python 3 version of the library.

Package: python-django-braces-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: set of reusable, generic mixins for Django class based views (Documentation)
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=django-braces

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf docs/_build
	dh_auto_clean

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/_build/.doctrees -N docs docs/_build/html
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.rst

override_dh_compress:
	dh_compress -X changelog.html

## python-django-braces 1.9.0

=== debian/changelog ===
python-django-braces (1.9.0-1) unstable; urgency=low

  [ Michael Fladischer ]
  * Team upload.
  * Use python3-sphinx to build documentation.
  * Clean up files to allow two build in a row.
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Shorten the descriptions for all packages.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 Jun 2016 12:01:30 +0200

python-django-braces (1.8.0-2) unstable; urgency=medium

  [ Michael Fladischer ]
  * Team upload.
  * Add python(3)-six to Build-Depends (Closes: #802135).
  * Disable tests completely as they depend on pytest-django which is no yet in the archive and they fail with python3.5.

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Oct 2015 15:15:33 +0200

=== debian/control ===
Source: python-django-braces
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 9),
               python-all,
               python3-all
Build-Depends-Indep: dh-python,
                     python-django,
                     python-alabaster,
                     python-setuptools,
                     python-six,
                     python3-setuptools,
                     python3-django,
                     python3-releases,
                     python3-six,
                     python3-sphinx,
Standards-Version: 3.9.8
Homepage: https://github.com/brack3t/django-braces
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-braces.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-braces.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-django-braces
Architecture: all
Depends: python-django,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-braces-doc
Description: reusable, generic mixins for Django class based views
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.

Package: python3-django-braces
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-braces-doc
Description: reusable, generic mixins for Django class based views (Python3 version)
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.
 .
 This package contains the Python 3 version of the library.

Package: python-django-braces-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: reusable, generic mixins for Django class based views (Documentation)
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export PYBUILD_NAME=django-braces
+export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

## python-django-braces 1.14.0

=== requirements.txt ===
factory_boy
mock
pytest-django
pytest-cov
coverage

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-braces.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-braces.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-braces"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-braces"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-django-braces (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Tue, 14 Jan 2020 11:27:56 +0100

python-django-braces (1.13.0-2) unstable; urgency=medium

  * Team upload
  * Override module name to import (Closes: #946732)

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Sun, 15 Dec 2019 00:29:31 -0300

python-django-braces (1.13.0-1) unstable; urgency=low

  * New upstream release.
  * Add myself to uploaders.
  * Update d/watch to use pypi, as upstream github repo no longer
    provides release tags.
  * Update patch to include the complete missing upstream sphinx
    configuration.
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add patch to temporarily disable releases sphinx extension.
  * Set Rules-Requires-Root: no.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Nov 2019 12:30:00 +0100

python-django-braces (1.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Add debian/gbp.conf.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 18:08:26 +0200

=== debian/control ===
Source: python-django-braces
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-django,
 python3-releases,
 python3-setuptools,
 python3-six,
 python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://github.com/brack3t/django-braces
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-braces.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-braces
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python-django-braces-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: reusable, generic mixins for Django class based views (Documentation)
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.
 .
 This package contains the documentation.

Package: python3-django-braces
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-braces-doc,
Description: reusable, generic mixins for Django class based views (Python3 version)
 Django-braces provides a set of reusable, generic mixins for the Django
 class based views system. The mixins can be used for access control, form
 handling and other purposes.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,14 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf docs/_build
 	dh_auto_clean
 
 override_dh_auto_build:
-	PYTHONPATH=. sphinx-build -b html -d docs/_build/.doctrees -N docs docs/_build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/_build/.doctrees -N docs docs/_build/html
 	dh_auto_build
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-braces/django-braces-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-braces 1.15.0

=== requirements.txt ===
factory_boy
mock
pytest-django
pytest-cov
coverage
django

=== debian/changelog ===
python-django-braces (1.15.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-django-braces-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:22:58 +0100

python-django-braces (1.15.0-2) unstable; urgency=medium

  * Add patch for Django 4 compatibility (Closes: #1013484).
  * Bump Standards-Version to 4.6.1.0.
  * Update year in d/copyright.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 28 Jul 2022 19:38:51 +0000

python-django-braces (1.15.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Add python3-factory-boy, python3-mock, python3-pytest, python3-
    pytest-cov and python3-pytest-django to Build-Depends.
  * Run upstream tests during build.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Sun, 07 Nov 2021 21:18:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: python-django-braces
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
  dh-python,
  python3-django,
+ python3-factory-boy,
+ python3-mock,
+ python3-pytest,
+ python3-pytest-cov,
+ python3-pytest-django,
  python3-releases,
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/brack3t/django-braces
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-braces.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-braces
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-braces.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-braces
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
 
 Package: python-django-braces-doc
 Section: doc
@@ -28,6 +32,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: reusable, generic mixins for Django class based views (Documentation)
  Django-braces provides a set of reusable, generic mixins for the Django
  class based views system. The mixins can be used for access control, form

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-braces/django-braces-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-braces 1.16.0

=== debian/changelog ===
python-django-braces (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.0
  * Remove python3-mock from build dependencies
  * Remove Django4 patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 22:31:28 +0100

python-django-braces (1.15.0-4) unstable; urgency=medium

  * Team upload.
  * Remove python3-six from build dependencies
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 27 Aug 2024 20:52:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,14 @@
  debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
  python3-django,
  python3-factory-boy,
- python3-mock,
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-django,
  python3-releases,
  python3-setuptools,
- python3-six,
  python3-sphinx,
 Standards-Version: 4.6.1.0
 Homepage: https://github.com/brack3t/django-braces

## python-django-braces 1.17.0

=== requirements.txt ===
factory-boy
pytest-django
pytest-cov
coverage
django

=== debian/changelog ===
python-django-braces (1.17.0-1) unstable; urgency=low

  * New upstream version 1.17.0
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.
  * Build using pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Apr 2025 14:34:47 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-all,
 Build-Depends-Indep:
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-django,
  python3-factory-boy,
  python3-pytest,
@@ -18,7 +19,7 @@
  python3-releases,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/brack3t/django-braces
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-braces.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-braces

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export PYBUILD_NAME=django-braces
-export PYBUILD_DISABLE=test
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf docs/_build

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-braces/django[-_]braces-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
